
// 
// Copyright (c) 2011 Jeff Flinn
// 
// Distributed under the Boost Software License, Version 1.0. (See accompanying 
// file LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt) 
// 

#ifndef BOOST_PROCESS_INITIALIZER_STD_IO_HPP
#define BOOST_PROCESS_INITIALIZER_STD_IO_HPP

#include <boost/process/config.hpp>

#if defined(BOOST_POSIX_API)

#   include <boost/process/posix/initializers/std_io.hpp>

namespace boost { namespace process { using posix::io_initializer; }}

namespace boost { namespace process { using posix::std_in_from_path; }}

namespace boost { namespace process { using posix::std_out_to_path; }}
namespace boost { namespace process { using posix::std_err_to_path; }}

namespace boost { namespace process { using posix::std_in_from; }}

namespace boost { namespace process { using posix::std_out_to; }}
namespace boost { namespace process { using posix::std_err_to; }}

#elif defined(BOOST_WINDOWS_API)

#   include <boost/process/windows/initializers/std_io.hpp>

namespace boost { namespace process { using windows::io_initializer; }}

namespace boost { namespace process { using windows::std_in_from_path; }}

namespace boost { namespace process { using windows::std_out_to_path; }}
namespace boost { namespace process { using windows::std_err_to_path; }}

namespace boost { namespace process { using windows::std_in_from; }}

namespace boost { namespace process { using windows::std_out_to; }}
namespace boost { namespace process { using windows::std_err_to; }}

#endif

#endif // BOOST_PROCESS_INITIALIZER_STD_IO_HPP