
#ifndef BOOST_PROCESS_WINDOWS_INITIALIZER_ENVIRONMENT_HPP
#define BOOST_PROCESS_WINDOWS_INITIALIZER_ENVIRONMENT_HPP

namespace boost { namespace process { namespace windows {

    struct executor;

    struct environment : public initializer 
    {
        environment(const env* e) : m_vars(from(e)), m_var_ptrs() {}
        environment(            ) : m_vars(       ), m_var_ptrs() {}

        environment& add(const std::string& evar) { m_vars.push_back(evar); }

        void pre_create(executor& e)
        {
            m_var_ptrs.clear();
            m_var_ptrs.resize(m_vars.size() + 1);

            std::transform(m_vars.begin(), m_vars.end(), m_var_ptrs.begin(), boost::bind(&std::string::c_str, _1));
        }
        
    private:
        static vars_t from(const env*)
        {
            return vars_t();
        }

        typedef std::vector<std::string> vars_t;
        typedef std::vector<char> var_ptrs_t;

        vars_t     m_vars;
        var_ptrs_t m_var_ptrs;
    };

}}}

#endif
